Jump to content
Eternal Lands Official Forums
bluap

Flatpak - New cross-distro Linux install package for the desktop client

Recommended Posts

I recently posted about a new cross-disto Linux package to install the game client and data based on Snap Packages.  I've now created and published a Flatpak version.  See https://flatpak.org/ for details about this package format.  The new EL package has been accepted into the main flatpak store Flathub, the EL package page can be found here https://flathub.org/apps/details/org.pjbroad.EternallandsClient. The package includes the game data, sound and music files and is currently built to the 1.9.5p2 release.

 

Once installed you will have a new desktop icon to start the client.  If you right-click the icon you can select the test or the pk server rather than the default, main.  User configuration files are stored in the standard place and are not effect if you uninstall the package.  The launcher creates a new config directory if one does not exist.  For existing installs, the launcher will modify the #data_dir setting to use the package data and the browser setting to use xdg-open; which just opens your default browser.

 

The EL package page includes links to instructions to setup Flatpak and the Flathub app store.  It also includes the command line needed to install the package if you do not want to install from the store UI.  If you have Flatpak and Flathub already integrated into your distro, then you can just search for Eternal Lands.

 

The package works just fine given my testing but let me know what you think.  Maintaining both Snap and Flatpak formats should be pretty simple so I intent to keep both.

 

 

Edited by bluap
Packaged updated to no require changing existing config files.

Share this post


Link to post
Share on other sites

Thanks bluap! Using it now on Arch, and everything seems to be working great.

 

I finally came back to EL after too long away (mostly due to RL complications...), and was having trouble getting sound to work using the installer on the EL downloads page (had it working fine using that on my previous Arch laptop & desktop). Saw your Flatpak package and installed it, and sound came right up.

Share this post


Link to post
Share on other sites

I've created a new flatpak repository for the development version of the client.  The flat hub install above does not have a facility for development versions.  To use this version you will need to add this additional repository.

 

As before, install the stable version form the flat hub repo:

sudo flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
sudo flatpak install flathub org.pjbroad.EternallandsClient

Now install the development version from my repo:

sudo flatpak remote-add --if-not-exists eternallands https://twinmoons.org.uk/el/flatpak/eternallands.flatpakrepo
sudo flatpak install eternallands org.pjbroad.EternallandsClient//develop

If you want to switch between the versions:

sudo flatpak make-current org.pjbroad.EternallandsClient//stable

or

sudo flatpak make-current org.pjbroad.EternallandsClient//develop

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×